@echo off

if exist fdt.smc ren fdt.smc fdt.exe
if exist afudosu.smc ren afudosu.smc afudos.exe

if "%1"=="" goto Err_Print
if not exist %1  goto No_File

rem ##Read CMOS71 value
fdt -r 71
if errorlevel 00 if not errorlevel 01 goto Flash_OLD_BIOS
if errorlevel 05 if not errorlevel 06 goto Flash_BIOS

:EnterME_Disable
echo ##########################################################################
echo #
echo #   ME need enter flash mode.
echo #   Please Reboot system and flash BIOS again.
echo #
echo ##########################################################################
fdt -w 71 A5
goto END

:Flash_OLD_BIOS
echo ##########################################################################
echo #
echo #   Flash BIOS %1 without flash ME
echo #
echo ##########################################################################
rem echo afudos %1 /P /B /N /K /R
afudos %1 /P /B /N /K /R
echo ##########################################################################
echo #
echo #   Please Reboot System and Flash BIOS Again for ME update
echo #
echo ##########################################################################
fdt -w 71 5A
goto END

:Flash_BIOS
echo ##########################################################################
echo #
echo #   Flash BIOS %1
echo #
echo ##########################################################################
rem echo afudos %1 /P /B /N /K /R /ME
afudos %1 /P /B /N /K /R /ME
goto END

:No_File
echo ##########################################################################
echo #
echo #	 %1 doesn't exist and please double check.
echo #
echo ##########################################################################
goto END

:Err_Print
echo ##########################################################################
echo #
echo #	 Usage:
echo #		       flash.bat romfile
echo #
echo ##########################################################################

:END
ren fdt.exe fdt.smc
ren afudos.exe afudosu.smc

:END1

